<?php

//--------------------------------------------------

namespace Bbg\ProductAssets\Cache;

//--------------------------------------------------

//--------------------------------------------------

abstract class AbstractCache {

//--------------------------------------------------
// Public:Propertys


//--------------------------------------------------
// Private:Propertys
	private $ttl;

//--------------------------------------------------
// Protected:Propertys
	protected $config;
	
//--------------------------------------------------
// Constants


//--------------------------------------------------
/**
* No Information Found
* @since 1.0
*/
	public function __construct(int $ttl=0, array $config=array()){
		$this
			->setTTL($ttl)
			->setConfig($config)
			;
		}

//--------------------------------------------------
/**
* No Information Found
* @since 1.0
*/
	public function __destruct(){
		}

//--------------------------------------------------
/**
* No Information Found
* @since 1.0
*/
	final public function setTTL(int $ttl):AbstractCache {
		$this->ttl = $ttl;
		
		return $this;
		}

//--------------------------------------------------
/**
* No Information Found
* @since 1.0
*/
	final public function getTTL():int {
		return $this->ttl;
		}

//--------------------------------------------------
/**
* No Information Found
* @since 1.0
*/
	final public function setConfig(array $config):AbstractCache {
		$this->config = $config;
		
		return $this;
		}

//--------------------------------------------------
/**
* No Information Found
* @since 1.0
*/
	final public function getConfig():array {
		return $this->config;
		}

//--------------------------------------------------
/**
* No Information Found
* @since 1.0
*/
	public function exists(string $path, ?string $environment=null):bool {
		return true;
		}

//--------------------------------------------------
/**
* No Information Found
* @since 1.0
*/
	public function read(string $path, ?string $environment=null):\stdClass {
		return new \stdClass();
		}

//--------------------------------------------------
/**
* No Information Found
* @since 1.0
*/
	public function write(string $path, \stdClass $content, ?string $environment=null):bool {
		return true;
		}

//--------------------------------------------------
/**
* No Information Found
* @since 1.0
*/
	final protected function key():string {
		return sha1(implode(":|:", func_get_args()));
		}

//--------------------------------------------------

	}

//--------------------------------------------------

?>