<?php

//--------------------------------------------------

namespace Bbg\ProductAssets\Collection;

//--------------------------------------------------

use Bbg\ProductAssets\CDN\AbstractCDN;
use Bbg\ProductAssets\Entity\ImageEntity;

//--------------------------------------------------

class ImageCollection extends AbstractCollection {

//--------------------------------------------------
// Public:Propertys


//--------------------------------------------------
// Private:Propertys


//--------------------------------------------------
// Protected:Propertys

	
//--------------------------------------------------
// Constants


//--------------------------------------------------
    /**
     * No Information Found
     * @since 1.0
     */
    public function __construct(array|object $assetObjects, ?string $path=null, ?AbstractCDN $cdn=null){
		$this
			->setPath($path)
			;
			
		if(!is_null($cdn)){
			$this
				->setCDN($cdn)
				;
			}
			
		foreach($assetObjects as $assetObject){
			if(is_object($assetObject)){
				parent::add(new ImageEntity($assetObject, $path, $cdn));
				}
			}
		}

//--------------------------------------------------

	}

//--------------------------------------------------

?>